<?xml version="1.0" encoding="UTF-8"?>
<web-app
    version="4.0"
    xmlns="http://xmlns.jcp.org/xml/ns/javaee"
    xmlns:javaee="http://xmlns.jcp.org/xml/ns/javaee"
    xmlns:xml="http://www.w3.org/XML/1998/namespace"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd">

    <display-name>Archetype Created Web Application</display-name>

    <servlet>
        <servlet-name>springmvc</servlet-name>
        <servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
        <init-param>
            <param-name>contextConfigLocation</param-name>
            <param-value>classpath:spring.xml</param-value>
        </init-param>
        <load-on-startup>1</load-on-startup>
        <multipart-config>
            <!--         上传文件最大为多少   -->
            <max-file-size>10485760</max-file-size>
            <!--         最大的请求大小   -->
            <max-request-size>10485760</max-request-size>
            <!--         多大以上的文件可以上传   -->
            <file-size-threshold>0</file-size-threshold>
        </multipart-config>
    </servlet>
    <servlet-mapping>
        <servlet-name>springmvc</servlet-name>
        <url-pattern>*.do</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>springmvc</servlet-name>
        <url-pattern>/account/p13_account_check</url-pattern>
    </servlet-mapping>

    <filter>
        <filter-name>CrosFilter</filter-name>
        <filter-class>com.cpic.xim.web.filters.cros.CrosFilter</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>CrosFilter</filter-name>
        <url-pattern>*</url-pattern>
    </filter-mapping>

</web-app>